org.jboss.jca.embedded

## Interface Embedded

-     public interface Embedded

  The embedded IronJacamar container
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deploy(org.jboss.shrinkwrap.descriptor.api.Descriptor descriptor)` Deploy
    `void` | `deploy(org.jboss.shrinkwrap.api.spec.ResourceAdapterArchive raa)` Deploy
    `void` | `deploy(java.net.URL url)` Deploy
    `<T> T` | `lookup(java.lang.String name, java.lang.Class<T> expectedType)` Lookup a bean
    `void` | `shutdown()` Shutdown
    `void` | `startup()` Startup
    `void` | `undeploy(org.jboss.shrinkwrap.descriptor.api.Descriptor descriptor)` Undeploy
    `void` | `undeploy(org.jboss.shrinkwrap.api.spec.ResourceAdapterArchive raa)` Undeploy
    `void` | `undeploy(java.net.URL url)` Undeploy

- - ### Method Detail

    - #### startup

          void startup()
                throws java.lang.Throwable

      Startup
      Throws:
        `java.lang.Throwable` - If an error occurs

    - #### shutdown

          void shutdown()
                 throws java.lang.Throwable

      Shutdown
      Throws:
        `java.lang.Throwable` - If an error occurs

    - #### deploy

          void deploy(java.net.URL url)
               throws java.lang.Throwable

      Deploy
      Parameters:
        `url` - The resource url
      Throws:
        `java.lang.Throwable` - If an error occurs

    - #### deploy

          void deploy(org.jboss.shrinkwrap.descriptor.api.Descriptor descriptor)
               throws java.lang.Throwable

      Deploy
      Parameters:
        `descriptor` - The descriptor
      Throws:
        `java.lang.Throwable` - If an error occurs

    - #### deploy

          void deploy(org.jboss.shrinkwrap.api.spec.ResourceAdapterArchive raa)
               throws java.lang.Throwable

      Deploy
      Parameters:
        `raa` - The resource adapter archive
      Throws:
        `java.lang.Throwable` - If an error occurs

    - #### undeploy

          void undeploy(java.net.URL url)
                 throws java.lang.Throwable

      Undeploy
      Parameters:
        `url` - The resource url
      Throws:
        `java.lang.Throwable` - If an error occurs

    - #### undeploy

          void undeploy(org.jboss.shrinkwrap.descriptor.api.Descriptor descriptor)
                 throws java.lang.Throwable

      Undeploy
      Parameters:
        `descriptor` - The descriptor
      Throws:
        `java.lang.Throwable` - If an error occurs

    - #### undeploy

          void undeploy(org.jboss.shrinkwrap.api.spec.ResourceAdapterArchive raa)
                 throws java.lang.Throwable

      Undeploy
      Parameters:
        `raa` - The resource adapter archive
      Throws:
        `java.lang.Throwable` - If an error occurs

    - #### lookup

          <T> T lookup(java.lang.String name,
                       java.lang.Class<T> expectedType)
                throws java.lang.Throwable

      Lookup a bean
      Type Parameters:
        `T` - the generics type
      Parameters:
        `name` - The bean name
        `expectedType` - The expected type for the bean
      Returns:
        The bean instance
      Throws:
        `java.lang.Throwable` - If an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)